<html><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; ">Unfortunately, scipy doesn't seem to want to build without LAPACK -- I've tried lots of different LAPACK distributions. I've tried using ATLAS with LAPACK and ATLAS without LAPACK (built LAPACK standalone) with lots of different flags but nothing seems to work. I've tried rebuilding the f2c libraries but it still comes up with the "undefined symbol" MAIN__ error. I've read&nbsp;<a href="http://www.velocityreviews.com/forums/t332246-using-fortran-libraries-from-python.html">here</a>&nbsp;that inserting a&nbsp;<div><br><div>int MAIN__( )</div><div>{ return(0);</div><div>}</div><div><br class="webkit-block-placeholder"></div><div>in the codebase somewhere might fix the problem but I'm not sure where it could go.</div><div><br class="webkit-block-placeholder"></div><div>Is there any reason that scipy / lapack needs f2c?&nbsp;Can't it just use f2py?<div><br class="webkit-block-placeholder"></div><div><br class="webkit-block-placeholder"></div><div>Selwyn-Lloyd<br><div><br class="webkit-block-placeholder"></div><div><br><div><div>On Jul 23, 2008, at 6:58 Antemeridian, Frank Lagor wrote:</div><br class="Apple-interchange-newline"><blockquote type="cite"><div dir="ltr">Dear Selwyn-Lloyd,<br><br>I hope I can help some, but I am not at all an expert on these things.&nbsp; I had what seemed like a similar problem (VERY similar, if I can remember).&nbsp; Here's what got me running-- my numpy installation was based on the lapack version that was causing my problem (I don't know if it was a lapack or scipy problem but whatever...) Anyways, I re-did the install of numpy, and I did not specify what lapack to use in the install.&nbsp; I you want to do this, be very careful that you do not have a LAPACK environment variable which is&nbsp; pointing somewhere and you don't know it.&nbsp; If you do, just unset it (unset LAPACK).&nbsp; The numpy install should not find any LAPACK (you'll be able to read that on the screen during install), and it will use some default one. Then re-do the scipy install and it should work.&nbsp; This is sort of a hack fix, because you will be using a non-optimized version of Lapack (assuming you wanted to use ATLAS or something), but it will get you running.&nbsp; One last thing, unfortunately I believe the default version of lapack installed is lapack lite or something like that (not the full lapack).&nbsp; This may cause you to not have full functionality.&nbsp; It has only caused me problems on one function: interp2d for 2d interpolation.&nbsp; Also, you are on Red Hat, why don't you use some red hat package manager or builtin software to install this stuff?<br> <br>That's all I've got,<br>Frank<br><br><div class="gmail_quote">On Wed, Jul 23, 2008 at 3:07 AM, Selwyn-Lloyd McPherson &lt;<a href="mailto:smcphers@stanford.edu">smcphers@stanford.edu</a>&gt; wrote:<br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;"> Hi everyone,<br> <br> I've been working on getting SciPy installed on my machine and it<br> seems almost there. I've got a x86_64 system running Red Hat and more<br> or less followed <a href="http://www.scipy.org/Installing_SciPy/Linux#head-1c4018a51422706809ee96a4db03ca0669f5f6d1" target="_blank">http://www.scipy.org/Installing_SciPy/Linux#head-1c4018a51422706809ee96a4db03ca0669f5f6d1</a><br>  &nbsp;to build and install SciPy. After dealing with the whole fPIC mess<br> that the 64-bit processor requires the install seems to finish but<br> when I try to import, I get:<br> <br> &nbsp;&gt;&gt;&gt; from scipy import *<br> Traceback (most recent call last):<br> &nbsp; File "&lt;stdin&gt;", line 1, in ?<br> &nbsp; File "/usr/lib64/python2.4/site-packages/scipy/linalg/__init__.py",<br> line 8, in ?<br> &nbsp; &nbsp; from basic import *<br> &nbsp; File "/usr/lib64/python2.4/site-packages/scipy/linalg/basic.py",<br> line 17, in ?<br> &nbsp; &nbsp; from lapack import get_lapack_funcs<br> &nbsp; File "/usr/lib64/python2.4/site-packages/scipy/linalg/lapack.py",<br> line 17, in ?<br> &nbsp; &nbsp; from scipy.linalg import flapack<br> ImportError: /usr/lib/libf2c.so.0: undefined symbol: MAIN__<br> <br> <br> Apparently a problem with f2c. . . Have any ideas?<br> <br> Thanks so much for reading!<br> <br> <br> Selwyn-Lloyd<br> _______________________________________________<br> SciPy-user mailing list<br> <a href="mailto:SciPy-user@scipy.org">SciPy-user@scipy.org</a><br> <a href="http://projects.scipy.org/mailman/listinfo/scipy-user" target="_blank">http://projects.scipy.org/mailman/listinfo/scipy-user</a><br> </blockquote></div><br><br clear="all"><br>-- <br>Frank Lagor<br>Ph.D. Candidate<br>Mechanical Engineering and Applied Mechanics<br>University of Pennsylvania<br><a href="mailto:dfranci@seas.upenn.edu">dfranci@seas.upenn.edu</a><br> 215.898.3144 </div> _______________________________________________<br>SciPy-user mailing list<br><a href="mailto:SciPy-user@scipy.org">SciPy-user@scipy.org</a><br>http://projects.scipy.org/mailman/listinfo/scipy-user<br></blockquote></div><br></div></div></div></div></body></html>